import React, { Component } from "react";
import PunchClocks from './punchClocks';
import UserFloatingLayer from "../../components/common/userFloatingLayer";

class PunchClock extends Component {
  constructor(props) {
    super(props);
    this.state = {

    }

  }

  componentDidShow() {
    this.clockRef.onmyDuration()
  }


  componentDidMount() {

  }


  render() {
    return (
      <>
        <UserFloatingLayer />
        <PunchClocks onRef={ref => this.clockRef = ref} />
      </>
    )
  }
}

export default PunchClock;
